<!doctype html>

<html lang="en">
<head>
    <meta charset="utf-8" />
    <title>A Study in 3D Rotations| by Henrik Ingo @henrikingo</title>
    <meta name="description" content="Explore impress.js in 3D" />
    <meta name="author" content="Henrik Ingo" />
    <link href="css/3D-rotations.css" rel="stylesheet" />
    <link href="css/impress.css" rel="stylesheet" />
</head>

<body class="impress-not-supported">
<div class="fallback-message">
    <p>Your browser <b>doesn't support the features required</b> by impress.js, so you are presented with a simplified version of this presentation.</p>
    <p>For the best experience please use the latest <b>Chrome</b>, <b>Safari</b> or <b>Firefox</b> browser.</p>
</div>

<div id="impress" data-transition-duration="2000">


    <div id="overview" class="step section overview" data-rotate-y="33" data-rotate-z="33" data-x="-1200" data-y="-400" >
         <h2>Have fun with python decorator</h2>
         <p>Liang Guisheng</p>
         <p>theol.liang@gmail.com</p>
    </div>

<div id="step-1" class="step slide section" data-x="648.3627670417677"    data-y= "1009.7651817694758"    data-z="0.0"    data-rotate-x= "37.69911184307752" data-rotate-y= "37.69911184307752" data-rotate-z="33">
                Slide 1
              </div>
              

              <div id="step-2" class="step slide section" data-x="-499.3762038565709"    data-y= "1091.156912190818"    data-z="831.7766166719343"    data-rotate-x= "75.39822368615503" data-rotate-y= "75.39822368615503" data-rotate-z="33">
                Slide 2
              </div>
              

              <div id="step-3" class="step slide section" data-x="-1187.9909959205345"    data-y= "169.34400967184067"    data-z="1318.3347464017318"    data-rotate-x= "113.09733552923255" data-rotate-y= "113.09733552923255" data-rotate-z="33">
                Slide 3
              </div>
              

              <div id="step-4" class="step slide section" data-x="-784.3723450363343"    data-y= "-908.1629943695139"    data-z="1663.5532333438687"    data-rotate-x= "150.79644737231007" data-rotate-y= "150.79644737231007" data-rotate-z="33">
                Slide 4
              </div>
              

              <div id="step-5" class="step slide section" data-x="340.3946225558715"    data-y= "-1150.7091295957662"    data-z="1931.3254949209204"    data-rotate-x= "188.49555921538757" data-rotate-y= "188.49555921538757" data-rotate-z="33">
                Slide 5
              </div>
              

              <div id="step-6" class="step slide section" data-x="1152.2043439804393"    data-y= "-335.29859783871103"    data-z="2150.111363073666"    data-rotate-x= "226.19467105846508" data-rotate-y= "226.19467105846508" data-rotate-z="33">
                Slide 6
              </div>
              

              <div id="step-7" class="step slide section" data-x="904.6827052119655"    data-y= "788.3839184625468"    data-z="2335.092178866376"    data-rotate-x= "263.8937829015426" data-rotate-y= "263.8937829015426" data-rotate-z="33">
                Slide 7
              </div>
              

              <div id="step-8" class="step slide section" data-x="-174.60004057033623"    data-y= "1187.2298959480581"    data-z="2495.329850015803"    data-rotate-x= "301.5928947446201" data-rotate-y= "301.5928947446201" data-rotate-z="33">
                Slide 8
              </div>
              

              <div id="step-9" class="step slide section" data-x="-1093.3563142616124"    data-y= "494.5421822901079"    data-z="2636.6694928034635"    data-rotate-x= "339.2920065876976" data-rotate-y= "339.2920065876976" data-rotate-z="33">
                Slide 9
              </div>
              

              <div id="step-10" class="step slide section" data-x="-1006.8858348917429"    data-y= "-652.8253330672437"    data-z="2763.102111592855"    data-rotate-x= "376.9911184307751" data-rotate-y= "376.9911184307751" data-rotate-z="33">
                Slide 10
              </div>
              

              <div id="step-11" class="step slide section" data-x="5.310837585660942"    data-y= "-1199.9882478608442"    data-z="2877.474327358045"    data-rotate-x= "414.6902302738526" data-rotate-y= "414.6902302738526" data-rotate-z="33">
                Slide 11
              </div>
              

              <div id="step-12" class="step slide section" data-x="1012.6247504789906"    data-y= "-643.8875016005219"    data-z="2981.8879797456"    data-rotate-x= "452.3893421169301" data-rotate-y= "452.3893421169301" data-rotate-z="33">
                Slide 12
              </div>
              

              <div id="step-13" class="step slide section" data-x="1088.9361377402354"    data-y= "504.2004441919691"    data-z="3077.939228953844"    data-rotate-x= "490.0884539600076" data-rotate-y= "490.0884539600076" data-rotate-z="33">
                Slide 13
              </div>
              

              <div id="step-14" class="step slide section" data-x="164.08466184940033"    data-y= "1188.7288268338443"    data-z="3166.86879553831"    data-rotate-x= "527.7875658030852" data-rotate-y= "527.7875658030852" data-rotate-z="33">
                Slide 14
              </div>
              

              <div id="step-15" class="step slide section" data-x="-911.6254954305856"    data-y= "780.3454081885402"    data-z="3249.660241322652"    data-rotate-x= "565.4866776461627" data-rotate-y= "565.4866776461627" data-rotate-z="33">
                Slide 15
              </div>
              

              <div id="step-16" class="step slide section" data-x="-1149.1913763880616"    data-y= "-345.4839799980784"    data-z="3327.1064666877373"    data-rotate-x= "603.1857894892402" data-rotate-y= "603.1857894892402" data-rotate-z="33">
                Slide 16
              </div>
              

              <div id="step-17" class="step slide section" data-x="-330.19600566191633"    data-y= "-1153.6769902554681"    data-z="3399.8560128674594"    data-rotate-x= "640.8849013323177" data-rotate-y= "640.8849013323177" data-rotate-z="33">
                Slide 17
              </div>
              

              <div id="step-18" class="step slide section" data-x="792.3800498928962"    data-y= "-901.1846961260113"    data-z="3468.4461094753974"    data-rotate-x= "678.5840131753952" data-rotate-y= "678.5840131753952" data-rotate-z="33">
                Slide 18
              </div>
              

              <div id="step-19" class="step slide section" data-x="1186.4455418240032"    data-y= "179.85265159554282"    data-z="3533.3267749997285"    data-rotate-x= "716.2831250184727" data-rotate-y= "716.2831250184727" data-rotate-z="33">
                Slide 19
              </div>
              

              <div id="step-20" class="step slide section" data-x="489.69847417607036"    data-y= "1095.5343008731531"    data-z="3594.878728264789"    data-rotate-x= "753.9822368615502" data-rotate-y= "753.9822368615502" data-rotate-z="33">
                Slide 20
              </div>
              
</div>

<div id="impress-toolbar"></div>
<div id="impress-help"></div>

<script type="text/javascript" src="../../js/impress.js"></script>
<script>impress().init();</script>

</body>
</html>
